Download the PHP package mannysoft/geoip without Composer

On this page you can find all versions of the php package mannysoft/geoip. It is possible to download/install these versions without Composer. Possible dependencies are resolved automatically.

Please rate this library. Is it a good library?

All versions of geoip with dependencies

Informations about the package geoip

GeoIP for Laravel 5

Latest Stable Version Total Downloads

Determine the geographical location of website visitors based on their IP addresses. Homepage


Installation

To get the latest version of GeoIP simply require it in your composer.json file.

"torann/geoip": "0.2.*@dev"

You'll then need to run composer install to download it and have the autoloader updated.

Once GeoIP is installed you need to register the service provider with the application. Open up config/app.php and find the providers key.

'providers' => array(

    'Torann\GeoIP\GeoIPServiceProvider',

)

GeoIP also ships with a facade which provides the static syntax for creating collections. You can register the facade in the aliases key of your config/app.php file.

'aliases' => array(

    'GeoIP' => 'Torann\GeoIP\GeoIPFacade',

)

Publish the configurations

Run this on the command line from the root of your project:

$ php artisan vendor:publish

A configuration file will be publish to config/geoip.php

Update max mind cities database

$ php artisan geoip:update

Database Service: To use the database version of MaxMind services download the GeoLite2-City.mmdb from http://dev.maxmind.com/geoip/geoip2/geolite2/ and extract it to storage/app/geoip.mmdb. And that's it.

Usage

Get the location data for a website visitor:

When an IP is not given the $_SERVER["REMOTE_ADDR"] is used.

Getting the location data for a given IP:

Example Data

Default Location

In the case that a location is not found the fallback location will be returned with the default parameter set to true. To set your own default change it in the configurations config/geoip.php

Change Log

v0.2.1

v0.2.0


Version
Requires php Version >=5.3.0
illuminate/support Version ~5.0
illuminate/session Version ~5.0
illuminate/console Version ~5.0
illuminate/config Version ~5.0
monolog/monolog Version ~1.11
geoip2/geoip2 Version ~2.1

The package mannysoft/geoip contains the following files

Loading the files please wait ....